<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ContentvideoUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "url" => "required_if:description_video,null",
            //"nom_contenu" => "required",
            //"statut" => "required",
            "description_video" => "required_if:url,null",

        ];
    }
}
